Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class AlgorithmIdentifier

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.AlgorithmIdentifier

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class AlgorithmIdentifier
extends ASN1Object

Constructor Summary
`AlgorithmIdentifier(ASN1ObjectIdentifier algorithm)`
`AlgorithmIdentifier(ASN1ObjectIdentifier algorithm, ASN1Encodable parameters)`

Method Summary
`ASN1ObjectIdentifier` | `getAlgorithm()`
`static AlgorithmIdentifier` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`static AlgorithmIdentifier` | `getInstance(java.lang.Object obj)`
`ASN1Encodable` | `getParameters()`
`static AlgorithmIdentifier` | `getTagged(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
`ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlgorithmIdentifier

    public AlgorithmIdentifier(ASN1ObjectIdentifier algorithm)

### AlgorithmIdentifier

    public AlgorithmIdentifier(ASN1ObjectIdentifier algorithm,
                               ASN1Encodable parameters)

Method Detail

### getInstance

    public static AlgorithmIdentifier getInstance(java.lang.Object obj)

### getInstance

    public static AlgorithmIdentifier getInstance(ASN1TaggedObject taggedObject,
                                                  boolean declaredExplicit)

### getTagged

    public static AlgorithmIdentifier getTagged(ASN1TaggedObject taggedObject,
                                                boolean declaredExplicit)

### getAlgorithm

    public ASN1ObjectIdentifier getAlgorithm()

### getParameters

    public ASN1Encodable getParameters()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Produce an object suitable for an ASN1OutputStream. AlgorithmIdentifier ::= SEQUENCE { algorithm OBJECT IDENTIFIER, parameters ANY DEFINED BY algorithm OPTIONAL }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD